重新安装VMtools时出现错误

原因:
一. Linux操作系统上没找到kernel的头文件
二. Linux操作系统上gcc没有安装
解决方案:
一. 检查Kernel、Kernel-devel、Kernel-headers版本是否匹配
查询系统中全部的内核RPM包
uname -r     显示系统相关信息
rpm -qa|grep kernel      借助管道查询kernel相关信息

如果两个命令得到的版本号一致(如上图所示),那可以直接安装Vmware Tools

若两个版本不一致,则 删除 版本不一致的包
yum remove kernel-headers-xxxx //headers-xxxx为所需删除的版本号
//如:yum remove kernel-headers-xxxxheaders-3.10.0-862.9.10.el7.x86_64
或提示kernel-devel没有安装,则安装新的kernel-headers包
rpm -ivh kernel-headers-3.10.0-862.el7.x86_64(从系统iso镜像中提取)
//-ivh=显示文件列表+指令执行过程+安装时列出标记
二. 检查 gcc
检查gcc是否安装,输入:gcc -v

若没有安装,则输入yum -y install gcc
确认kernel、kernel-devel、kernel-headers三样套件版本一致,且gcc已安装后,重启电脑后再次安装VMwareTools即可成功

第一次用centos7,由于版本较新,网上解决方案较少,重新安装的过程中出现了许多问题,也耗费力很多时间解决,故记录下来,以帮助有需要的

给TA打赏
共{{data.count}}人
人已打赏
个人中心
今日签到
有新私信 私信列表
搜索